Subject: Re: [PATCH v2 1/1] powerpc/8xx: Drop legacy-of-mm-gpiochip.h header

From: Andy Shevchenko <[email-masked]>
Date: Sun, 15 Dec 2024 00:18:45 +0200

On Fri, Dec 13, 2024 at 07:01:42PM +0100, Christophe Leroy wrote:
> Le 13/12/2024 à 18:07, Andy Shevchenko a écrit :
> > On Fri, Dec 13, 2024 at 07:28:45AM +0100, Christophe Leroy wrote:
> > > Le 12/12/2024 à 17:24, Andy Shevchenko a écrit :
> > > > On Mon, Nov 18, 2024 at 03:10:09PM +0100, Christophe Leroy wrote:
> > > > > Le 18/11/2024 à 13:31, Andy Shevchenko a écrit :
> > > > > > Remove legacy-of-mm-gpiochip.h header file. The above mentioned
> > > > > > file provides an OF API that's deprecated. There is no agnostic
> > > > > > alternatives to it and we have to open code the logic which was
> > > > > > hidden behind of_mm_gpiochip_add_data(). Note, most of the GPIO
> > > > > > drivers are using their own labeling schemas and resource retrieval
> > > > > > that only a few may gain of the code deduplication, so whenever
> > > > > > alternative is appear we can move drivers again to use that one.
> > > > > > 
> > > > > > As a side effect this change fixes a potential memory leak on
> > > > > > an error path, if of_mm_gpiochip_add_data() fails.
> > > > > > 
> > > > > > Signed-off-by: Andy Shevchenko <[email-masked]>
> > > > > 
> > > > > Reviewed-by: Christophe Leroy <[email-masked]>
> > > > 
> > > > Thanks, what's next?
> > > 
> > > Next step is that Michael or Madhavan apply it I guess ?
> > 
> > Folks, do you have any comments? Can you apply this and we move forward towards
> > removing the legacy API from the kernel?
> 
> If you have some work which depends on this patch, you can also take it
> together with that work through another tree. Just let us know.

Not right now.
If Linus or Bart want to take this via their tree, it also would be good.

> Acked-by: Christophe Leroy <[email-masked]>

-- 
With Best Regards,
Andy Shevchenko